body {  
  font-family: sans-serif;  
  letter-spacing: 0.1em;  
}

.wrapper {
  display: flex;
  justify-content: center;
}
.grid {
  flex: 0 1 auto;
  margin: 20px;  
  display: grid;
  grid-template-columns: auto auto; 
  grid-template-rows: auto auto auto;  
}

h1 {     
  grid-column: 1/ span 2;
  grid-row: 1 / span 1;
  justify-self: center;
  font-size: 2em;
  font-weight: lighter;
  letter-spacing: 0.1em;
  }

h2 {
  font-size: 1.1em;
  font-weight: lighter;
  margin-bottom: 1em;
  color: rgb(78, 145, 228);
}  

table {  
  grid-column: 1/ span 2; 
  grid-row: 2 /span 1;
  justify-self: center;
  margin-bottom: 1em;
  border-collapse: collapse; 
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.15); 
}

.edit-icon {
  width: 1em;  
}

thead {
  background-color: rgb(78, 145, 228);
  color: white;  
 }

thead th:first-child {
  border-top-left-radius: 10px;
}

thead th:last-child {
  border-top-right-radius: 10px;
  text-align: left;
}

 thead th, tbody td {
   margin: 0;
   padding: 1em 1.5em;     
  }

tbody {  
  color: rgb(105, 105, 105);
  font-weight: lighter;
}

tbody tr:last-of-type {
  border-bottom: 2px solid rgb(78, 145, 228);
}

tbody td:nth-child(4) {
  min-width: 8em;
}

tbody td:nth-child(5), td:nth-child(6) {
padding: 0.7em;
}

body button, .formsWrapper button {
  margin-top: 10px;
  margin-left: 10px;
  padding: 0.7em;    
  background-color:rgb(78, 145, 228);
  border: 1px solid rgb(78, 145, 228);
  border-radius: 5px;
  color: white;  
  cursor: pointer;
}

tr button {
  background-color: white;
  color:black;
  border: 1px solid white;
  cursor: pointer;
}

form {
  color: rgb(105, 105, 105);
  grid-column: 1 / span 1;   
  grid-row: 3 / span 1;  
  justify-self: start;
}

ul {
  list-style-type: none; 
  padding: 1em;
  margin: 0;
}

li {
  margin: 0.5em;
}

input {
  width: 15em;
  margin-top: 0.5em;
  margin-bottom: 0.8em;
  color: grey;
}

.deleteButton {
  margin-bottom: 16px;
  grid-column: 2/ span 1;
  grid-row: 3 /span 1;
  justify-self: end;
  align-self: end;
}

@media (min-width: 980px) {
  .grid {  
    grid-template-columns: auto auto auto;      
    grid-template-rows: auto auto;    
  }
  h1 {
    grid-column: 1 / span 2;
    grid-row: 1 /span 1;    
  } 
  table {
    grid-column: 1/ span 2;
    grid-row: 2 /span 1;
    
  }
  form {
    grid-column: 3 / span 1;
    grid-row: 2 /span 1;  
    align-self: start;     
  }
 ul{
  padding-top: 0; 
 }
  .deleteButton {
    grid-column: 3 /span 1;
    grid-row: 4 /span 1;
    align-self: start;
    justify-self: start;
    margin: 16px;
  }

}
